Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# OgreSIMDHelper.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgrePlatformInformation.h"`
`#include "OgreNoMemoryMacros.h"`
`#include <xmmintrin.h>`
`#include "OgreMemoryMacros.h"`

Go to the source code of this file.

## Namespaces
namespace | Ogre
## Defines
#define | __OGRE_SIMD_ALIGN_STACK()

## Define Documentation

#define __OGRE_SIMD_ALIGN_STACK | (
|  | ) |

| Value:
    {                                                               \
            /* Use alloca to allocate some memory on the stack.  */     \
            /* This alerts gcc that something funny is going on, */     \
            /* so that it does not omit the frame pointer etc.   */     \
            (void)__builtin_alloca(16);                                 \
            /* Now align the stack pointer */                           \
            __asm__ __volatile__ ("andl $-16, %esp");                   \
        }
Definition at line 67 of file OgreSIMDHelper.h.

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 30 10:50:58 2007